Every administered entity, with what the calling user may do to it (ADR-017).
curl --request POST \
--url https://app.assetinfinity.ai/api/entity_definitions \
--header 'Content-Type: application/json' \
--data '
{
"allows_delete": true,
"allows_import_create": true,
"can_create": true,
"can_delete": true,
"can_edit": true,
"can_import": true,
"entity": "<string>",
"group": "<string>",
"import_depth": 123,
"label": "<string>",
"order_by": "<string>",
"parent_column": "<string>",
"permission": "<string>",
"plural": "<string>",
"schema_name": "<string>",
"supports_attachments": true,
"table_name": "<string>",
"title_column": "<string>"
}
'import requests
url = "https://app.assetinfinity.ai/api/entity_definitions"
payload = {
"allows_delete": True,
"allows_import_create": True,
"can_create": True,
"can_delete": True,
"can_edit": True,
"can_import": True,
"entity": "<string>",
"group": "<string>",
"import_depth": 123,
"label": "<string>",
"order_by": "<string>",
"parent_column": "<string>",
"permission": "<string>",
"plural": "<string>",
"schema_name": "<string>",
"supports_attachments": True,
"table_name": "<string>",
"title_column": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
allows_delete: true,
allows_import_create: true,
can_create: true,
can_delete: true,
can_edit: true,
can_import: true,
entity: '<string>',
group: '<string>',
import_depth: 123,
label: '<string>',
order_by: '<string>',
parent_column: '<string>',
permission: '<string>',
plural: '<string>',
schema_name: '<string>',
supports_attachments: true,
table_name: '<string>',
title_column: '<string>'
})
};
fetch('https://app.assetinfinity.ai/api/entity_definitions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Admin
Every administered entity, with what the calling user may do to it (ADR-017).
POST
/
entity_definitions
Every administered entity, with what the calling user may do to it (ADR-017).
Headers
Preference
Available options:
return=representation, return=minimal, return=none, resolution=ignore-duplicates, resolution=merge-duplicates Query Parameters
Filtering Columns
Body
application/jsonapplication/vnd.pgrst.object+jsonapplication/vnd.pgrst.object+json;nulls=strippedtext/csv
entity_definitions
Every administered entity, with what the calling user may do to it (ADR-017).
Maximum string length:
80Maximum string length:
60Maximum string length:
120Maximum string length:
120Maximum string length:
63Maximum string length:
80Maximum string length:
140Maximum string length:
40Maximum string length:
60Maximum string length:
63Response
201
Created
Was this page helpful?
⌘I

